from __future__ import division, print_function

import pygame


FONTS = {}


def label(text, size=16, fontname=None, colour=(255,255,255)):
    font = get_font(fontname, size)
    return font.render(text, True, colour)

def get_font(name, size):
    font = FONTS.get((name, size))
    if not font:
        font = pygame.font.Font(font, size)
        FONTS[(name, size)] = font
    return font
